summaryrefslogtreecommitdiff
path: root/qa/081
diff options
context:
space:
mode:
Diffstat (limited to 'qa/081')
-rwxr-xr-xqa/08150
1 files changed, 50 insertions, 0 deletions
diff --git a/qa/081 b/qa/081
new file mode 100755
index 0000000..702d050
--- /dev/null
+++ b/qa/081
@@ -0,0 +1,50 @@
+#! /bin/sh
+# PCP QA Test No. 081
+# exercise new instance domain functions for archives
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/bozo.client
+ pmns="-n src/root_irix"
+else
+ # no support for V1 archives
+ arch=src/bozo.client_v2
+ pmns=
+fi
+
+status=1
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed -e '/Note: timezone set to local timezone of host/d'
+}
+
+host=`./getpmcdhosts -p single -n 1 -v 'pcp>=2' 2>$tmp.out`
+if [ -z "$host" ]
+then
+ cat $tmp.out >$seq.notrun
+ exit
+fi
+
+# real QA test starts here
+echo "From pmcd ..."
+src/archinst -h $host kernel.all.load kernel.percpu.cpu.user
+
+echo ""
+echo "From archive on bozo ..."
+pmdumplog -z -i $arch | _filter
+src/archinst $pmns -a $arch kernel.all.load kernel.percpu.cpu.user
+
+status=0